Subject: Re: bug#9350: 23.3; File menu should contain "split window horizontally C-x 3"

From: martin rudalics <[email-masked]>
Date: Fri, 21 Oct 2011 11:31:56 +0200

>> I'd eventually want to rename `split-window' to `new-window' or
 >> `make-new-window' and give it a fourth argument - the buffer to show in
 >> the new window.
 >
 > But then the name doesn't make it clear that you're splitting an
 > existing window.  I.e. it's moving towards display-buffer.

It would become more like `make-frame'.  But I'm not sure whether we
want or need that "splitting" connotation at all.  Most callers care
about one thing only: Get a new window to peruse.

 > PS: One thing that annoys me in the current working of split-window: it
 > doesn't let you say which window (the top or the bottom) is the new one.

The new one is that returned by `split-window', as before.

 > This was fine back when windows had very little state of their own, but
 > now it is important when it matters because of window-parameters,
 > window-dedicated-p, ...
 > So if we want to improve split-window, I think we should consider this
 > issue as well.

Do you mean you need the identity of the new window when `split-window'
is called indirectly by another function?  Maybe you could provide a use
case?

martin